//
// file: yacco2_k_symbols.h
// Gened Date and Time: Tue Oct 05 09:12:09 2004 
//
/*
  Copyright Dave Bone 1998 - 2010 
  All Rights Reserved. 
  No part of this document may be reproduced without written consent from the author.
*/
#include "yacco2.h"
#include "yacco2_T_enumeration.h"
#ifndef __yacco2_k_symbols_h__
#define __yacco2_k_symbols_h__
namespace NS_yacco2_k_symbols{

using namespace NS_yacco2_T_enum;
using namespace yacco2;
struct LR1_questionable_shift_operator:public CAbs_lr1_sym{
    LR1_questionable_shift_operator();
};

struct LR1_eog:public CAbs_lr1_sym{
    LR1_eog();
  };
struct LR1_eolr:public CAbs_lr1_sym{
    LR1_eolr();
  };
struct LR1_parallel_operator:public CAbs_lr1_sym{
    LR1_parallel_operator();
  };
struct LR1_reduce_operator:public CAbs_lr1_sym{
    LR1_reduce_operator();
};

/*  
struct LR1_procedure_call_operator:public CAbs_lr1_sym{
    LR1_procedure_call_operator();
};
*/
struct LR1_invisible_shift_operator:public CAbs_lr1_sym{
    LR1_invisible_shift_operator();
  };
struct LR1_all_shift_operator:public CAbs_lr1_sym{
    LR1_all_shift_operator();
  };
struct LR1_fset_transience_operator:public CAbs_lr1_sym{
    LR1_fset_transience_operator();
};

extern yacco2::CAbs_lr1_sym* PTR_LR1_parallel_operator__;
    extern yacco2::CAbs_lr1_sym* PTR_LR1_fset_transience_operator__;
    extern yacco2::CAbs_lr1_sym* PTR_LR1_invisible_shift_operator__;
    extern yacco2::CAbs_lr1_sym* PTR_LR1_questionable_shift_operator__;
    extern yacco2::CAbs_lr1_sym* PTR_LR1_all_shift_operator__;
    extern yacco2::CAbs_lr1_sym* PTR_LR1_eolr__;

}//namespace
#endif
